Channels

Activate a channel profile draft

POST
/api/projects/{projectId}/channels/{channelId}/profile-drafts/{profileVersionId}/activate

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
channelId*string
Length1 <= length
profileVersionId*string
Length1 <= length

Request Body

  1. body
expectedRevision?integer
Range1 <= value

Response Body

Response for status 200

application/json
  1. response
channel*
profile*
assessment*
Example Request
curl -X POST 'https://postbot.example/api/projects/string/channels/string/profile-drafts/string/activate' \
  -H 'Content-Type: application/json' \
  -d '{}'
Example Response
{
  "channel": {
    "id": "string",
    "projectId": "string",
    "name": "string",
    "profileVersionId": "string",
    "state": "active",
    "archivedAt": -9007199254740991,
    "revision": -9007199254740991,
    "createdAt": -9007199254740991,
    "updatedAt": -9007199254740991,
    "profileId": "string"
  },
  "profile": {
    "id": "string",
    "projectId": "string",
    "channelId": "string",
    "profileId": "string",
    "version": 1,
    "origin": "built_in",
    "state": "draft",
    "revision": 1,
    "profile": {},
    "createdByActorId": "string",
    "createdAt": 0,
    "updatedAt": 0
  },
  "assessment": {
    "currentProfileVersion": 1,
    "proposedProfileVersion": 1,
    "changes": [
      {
        "kind": "schema",
        "path": "string",
        "code": "string",
        "message": "string"
      }
    ],
    "workingDrafts": [
      {
        "id": "string",
        "kind": "working_draft",
        "state": "compatible",
        "issues": [
          {
            "path": "string",
            "code": "string",
            "message": "string",
            "severity": "error",
            "source": "schema"
          }
        ]
      }
    ],
    "pendingTargets": [
      {
        "id": "string",
        "kind": "working_draft",
        "state": "compatible",
        "issues": [
          {
            "path": "string",
            "code": "string",
            "message": "string",
            "severity": "error",
            "source": "schema"
          }
        ]
      }
    ],
    "hasReviewRequired": true
  }
}

Was this page helpful?